#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.5
visibility:           public
id:                   jose-0.8.5-4xaG0ejd33Ynh6zlUhOQp
key:                  jose-0.8.5-4xaG0ejd33Ynh6zlUhOQp
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported.

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  361aea2c3733bc7e4fb497aa52f49bd8
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-9.0.2/site-local/jose-0.8.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/jose-0.8.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-jose
hs-libraries:         HSjose-0.8.5-4xaG0ejd33Ynh6zlUhOQp
depends:
    QuickCheck-2.14.2-2d1sNWCQrBtBwhjNiSfZuE
    aeson-1.5.6.0-ACA5il8oUDTGWSuengtGRp
    attoparsec-0.14.4-3hmNOn9KsQkLastvrl1LA3 base-4.15.1.0
    base64-bytestring-1.2.1.0-H46CYAE3oqvFn1pyH5O1iU
    bytestring-0.10.12.1 concise-0.1.0.1-BXABSdZqi5e5BoRA7iVxTf
    containers-0.6.4.1 cryptonite-0.30-j5yZ2IabGbE3nQz5wnKJi
    lens-5.1-KzHhhLE1jOD6VmHbPqSTp2
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-time-0.3.1.0-Auqo3kWXvhcCT1bMDe8og5 mtl-2.2.2
    network-uri-2.6.4.1-IAkqAvJDjrn36sgBWLtC3A
    quickcheck-instances-0.3.27-8PztMt6pK9K7cfhsAks5XM
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3
    unordered-containers-0.2.18.0-HgeMTnP7CmhGWtqS52RLit
    vector-0.12.3.1-6ArAehJI8jX1p1vyTVOQhO
    x509-1.7.6-5d2u5E8ttLJIGk3vkAddb4

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

